Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.dropboxmq.workflow.persistence.jdbc
Class EventPersistenceImpl

    java.lang.Object
      net.sf.dropboxmq.workflow.persistence.jdbc.EventPersistenceImpl

All Implemented Interfaces:
  EventPersistence

    public class EventPersistenceImpl

extends Object
implements EventPersistence

Created: 08 Feb 2011

Version:
  $Revision$, $Date$
Author:
  Dwayne Schultz

Constructor Summary
`EventPersistenceImpl(PersistenceFactoryImpl persistenceFactory)`

Method Summary
`Event` | `getNextUndeferredEvent(int runId, int currentStateId)`
`List<Event>` | `getNonDeferredEventsByRun(int runId)`
`(package private) Event` | `newEventFromResults(ResultSet results)`
`(package private) JDBCHelper` | `newJDBCHelper()`
`void` | `storeEvent(Event event)`
`void` | `undeferEvent(Event event)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EventPersistenceImpl

    public EventPersistenceImpl(PersistenceFactoryImpl persistenceFactory)

Method Detail

### storeEvent

    public void storeEvent(Event event)

  Specified by:
    `storeEvent` in interface `EventPersistence`

### newJDBCHelper

    JDBCHelper newJDBCHelper()

### getNonDeferredEventsByRun

    public List<Event> getNonDeferredEventsByRun(int runId)

  Specified by:
    `getNonDeferredEventsByRun` in interface `EventPersistence`

### newEventFromResults

    Event newEventFromResults(ResultSet results)
                        throws SQLException

  Throws:
    `SQLException`

### undeferEvent

    public void undeferEvent(Event event)

  Specified by:
    `undeferEvent` in interface `EventPersistence`

### getNextUndeferredEvent

    public Event getNextUndeferredEvent(int runId,
                                        int currentStateId)

  Specified by:
    `getNextUndeferredEvent` in interface `EventPersistence`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD